summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSven Klomp2016-02-09 19:38:48 +0100
committerSven Klomp2016-02-09 19:38:48 +0100
commit2b00672f1da75b74e440830eb050ff4948fec493 (patch)
treeca226030e16006eb1a9593ea3d02a79bcea8db6b
downloadaur-2b00672f1da75b74e440830eb050ff4948fec493.tar.gz
Initial commit
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD50
2 files changed, 71 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bdb6b7e88be
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+# Generated by mksrcinfo v8
+# Tue Feb 9 18:38:28 UTC 2016
+pkgbase = homegear-homematicbidcos-git
+ pkgdesc = Homegear plugin for Homematic BidCos communication
+ pkgver = 0.6.0
+ pkgrel = 1
+ url = https://github.com/Homegear/homegear-homematicbidcos
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = gcc-libs
+ makedepends = git
+ depends = gcc-libs
+ depends = homegear>=0.6.0
+ provides = homegear-homematicbidcos
+ conflicts = homegear-homematicbidcos
+ source = git+https://github.com/Homegear/homegear-homematicbidcos
+ md5sums = SKIP
+
+pkgname = homegear-homematicbidcos-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..71f49558fb2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,50 @@
+# Package build for homegear plugin from git (https://www.homegear.eu/index.php/Main_Page)
+# Maintainer: Sven Klomp <mail at klomp dot eu>
+
+pkgdesc='Homegear plugin for Homematic BidCos communication'
+_gitname=('homegear-homematicbidcos')
+pkgname=('homegear-homematicbidcos-git')
+pkgver=0.6.0
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('GPL')
+url="https://github.com/Homegear/homegear-homematicbidcos"
+depends=('gcc-libs' 'homegear>=0.6.0')
+makedepends=('gcc-libs' 'git')
+conflicts=('homegear-homematicbidcos')
+provides=('homegear-homematicbidcos')
+source=("git+https://github.com/Homegear/homegear-homematicbidcos")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir"/${_gitname}
+ echo "0.6.$(git rev-list --count HEAD).$(git describe --always)"
+}
+
+prepare() {
+ cd "${srcdir}/${_gitname}"
+}
+
+build() {
+ cd "${srcdir}/${_gitname}"
+ rm -Rf autom4te.cache
+ ./bootstrap || exit 1
+
+ # Remove qdbm dependency
+ sed -i 's/-lqdbm//g' src/Makefile.am
+
+ ./configure --with-php=/usr --prefix=/usr --localstatedir=/var --sysconfdir=/etc --libdir=/usr/lib || exit 1
+ make || exit 1
+ strip -s src/.libs/mod_homematicbidcos.so
+}
+
+package() {
+ cd "${srcdir}/${_gitname}"
+ make DESTDIR="$pkgdir/" install
+
+ mkdir -p $pkgdir/etc/homegear/families
+ cp -r "${srcdir}/${_gitname}/misc/Config Directory/homematicbidcos.conf" $pkgdir/etc/homegear/families
+
+ mkdir -p $pkgdir/etc/homegear/devices
+ cp -r "${srcdir}/${_gitname}/misc/Device Description Files" $pkgdir/etc/homegear/devices/0
+}